Page MenuHomePhabricator

wikidata.beta.wmflabs.org/wiki/Special:RecentChanges InvalidArgumentException No model available for [goodfaith]
Closed, ResolvedPublic

Description

[Wjk0rApEE4AAAD@yXvEAAAAY] /wiki/Special:RecentChanges InvalidArgumentException from line 42 of /srv/mediawiki/php-master/extensions/ORES/includes/Storage/SqlModelLookup.php: No model available for [goodfaith]

Backtrace:

#0 /srv/mediawiki/php-master/extensions/ORES/includes/Hooks.php(361): ORES\Storage\SqlModelLookup->getModelId(string)
#1 /srv/mediawiki/php-master/extensions/ORES/includes/Hooks/ChangesListHooksHandler.php(384): ORES\Hooks::joinWithOresTables(string, string, array, array, array)
#2 /srv/mediawiki/php-master/includes/Hooks.php(177): ORES\Hooks\ChangesListHooksHandler::onChangesListSpecialPageQuery(string, array, array, array, array, array, FormOptions)
#3 /srv/mediawiki/php-master/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#4 /srv/mediawiki/php-master/includes/specialpage/ChangesListSpecialPage.php(1480): Hooks::run(string, array)
#5 /srv/mediawiki/php-master/includes/specials/SpecialRecentchanges.php(375): ChangesListSpecialPage->runMainQueryHook(array, array, array, array, array, FormOptions)
#6 /srv/mediawiki/php-master/includes/specials/SpecialRecentchanges.php(326): SpecialRecentChanges->runMainQueryHook(array, array, array, array, array, FormOptions)
#7 /srv/mediawiki/php-master/includes/specialpage/ChangesListSpecialPage.php(860): SpecialRecentChanges->doMainQuery(array, array, array, array, array, FormOptions)
#8 /srv/mediawiki/php-master/includes/specialpage/ChangesListSpecialPage.php(560): ChangesListSpecialPage->getRows()
#9 /srv/mediawiki/php-master/includes/specials/SpecialRecentchanges.php(168): ChangesListSpecialPage->execute(NULL)
#10 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(522): SpecialRecentChanges->execute(NULL)
#11 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(NULL)
#12 /srv/mediawiki/php-master/includes/MediaWiki.php(287): SpecialPageFactory::executePath(Title, RequestContext)
#13 /srv/mediawiki/php-master/includes/MediaWiki.php(851): MediaWiki->performRequest()
#14 /srv/mediawiki/php-master/includes/MediaWiki.php(523): MediaWiki->main()
#15 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
#16 /srv/mediawiki/w/index.php(3): include(string)
#17 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore removed Ladsgroup as the assignee of this task.Dec 19 2017, 3:48 PM
Addshore added a subscriber: Ladsgroup.
awight added a subscriber: awight.Dec 19 2017, 4:10 PM

I see no ores_model goodfaith for beta wikidata in the database, so I'll disable in configuration.

awight added a comment.EditedDec 19 2017, 4:16 PM

Okay something weird is going on. The models in ores-beta are,

/srv/deployment/ores/deploy/submodules/editquality/models/wikidatawiki.damaging.gradient_boosting.model
/srv/deployment/ores/deploy/submodules/editquality/models/wikidatawiki.goodfaith.gradient_boosting.model

But the in-database models shown are,

mwscript sql.php --wiki wikidatawiki /tmp/test.sql
select * from ores_model;

stdClass Object
(
    [oresm_id] => 1
    [oresm_name] => damaging
    [oresm_version] => 0.0.2
    [oresm_is_current] => 1
)
stdClass Object
(
    [oresm_id] => 2
    [oresm_name] => reverted
    [oresm_version] => 0.0.2
    [oresm_is_current] => 1
)

I'll disable the Ores UI and we can investigate further.

Change 399211 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Disable the ORES UI on beta wikidatawiki

https://gerrit.wikimedia.org/r/399211

Change 399211 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable the ORES UI on beta wikidatawiki

https://gerrit.wikimedia.org/r/399211

ORES UI is disabled on beta wikidatawiki. Please don't close this task without either doing or scheduling the subtasks outlined above.

Maybe the maintenance scripts to set up ORES on wikidatawiki were run wrong?

I tried running it, but of course that doesn't work because ores-beta is down:

catrope@deployment-tin:~$ mwscript extensions/ORES/maintenance/CheckModelVersions.php wikidatawiki
Starting...[71400e18b1a437ff51ed197f] [no req]   RuntimeException from line 95 of /srv/mediawiki-staging/php-master/extensions/ORES/includes/Api.php: Failed to make ORES request to [https://ores-beta.wmflabs.org/v3/scores/wikidatawiki/?20171219164528=1&format=json], There was a problem during the HTTP request: 503 SERVICE UNAVAILABLE

Once it's up, though, you should try if running this script fixes it.

Mentioned in SAL (#wikimedia-cloud) [2017-12-19T17:00:09Z] <awight> Disable ORES UI for beta wikidatawiki, T183266

@Catrope is right, all it took was kicking the CheckModelVersions job. I think this job isn't running automatically.

mwscript extensions/ORES/maintenance/CheckModelVersions.php --wiki=wikidatawiki

Change 399464 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Don't double-quote model version

https://gerrit.wikimedia.org/r/399464

Change 399464 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Don't double-quote model version

https://gerrit.wikimedia.org/r/399464

@Catrope is right, all it took was kicking the CheckModelVersions job. I think this job isn't running automatically.

mwscript extensions/ORES/maintenance/CheckModelVersions.php --wiki=wikidatawiki

Is it possible for us to get that running automatically?
Why isn't that also an issue in prod?

There will be similar problem in prod.
I think automatic runs is unsustainable and should be avoided. It should be integrated with the extension workflow IMO. How? I still don't know but I'm looking for it.

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Dec 28 2017, 11:09 PM
Ladsgroup closed this task as Resolved.Apr 25 2018, 11:53 AM
Ladsgroup claimed this task.
Ladsgroup moved this task from Active to Done on the Scoring-platform-team (Current) board.

This is already fixed for a very long time

awight mentioned this in Unknown Object (Phame Post).May 2 2018, 6:42 PM
awight mentioned this in Unknown Object (Phame Post).
awight mentioned this in Unknown Object (Phame Post).